org.bdgenomics.adam.models

# Transcript

#### case class Transcript(id: String, names: Seq[String], geneId: String, strand: Boolean, exons: Iterable[Exon], cds: Iterable[CDS], utrs: Iterable[UTR]) extends Product with Serializable

A transcript model (here represented as a value of the Transcript class) is a simple, hierarchical model containing a collection of exon models as well as an associated gene identifier, transcript identifier, and a set of common names (synonyms).

id

  the (unique) identifier of the Transcript

names

  Common names for the transcript

geneId

  The (unique) identifier of the gene to which the transcript belongs

exons

  The set of exons in the transcript model; each of these contain a reference region whose coordinates are in genomic space.

cds

  the set of CDS regions (the subset of the exons that are coding) for this transcript

utrs

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Transcript
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Transcript(id: String, names: Seq[String], geneId: String, strand: Boolean, exons: Iterable[Exon], cds: Iterable[CDS], utrs: Iterable[UTR])

   id

     the (unique) identifier of the Transcript

   names

     Common names for the transcript

   geneId

     The (unique) identifier of the gene to which the transcript belongs

   exons

     The set of exons in the transcript model; each of these contain a reference region whose coordinates are in genomic space.

   cds

     the set of CDS regions (the subset of the exons that are coding) for this transcript

   utrs

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val cds: Iterable[CDS]

   the set of CDS regions (the subset of the exons that are coding) for this transcript

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### val exons: Iterable[Exon]

    The set of exons in the transcript model; each of these contain a reference region whose coordinates are in genomic space.

11. #### def extractCodingSequence(referenceSequence: String): String

    Returns the _coding sequence_ of the Transcript -- essentially, the subset of the exon(s) after the translation-start codon and before the translation-stop codon, as annotated in the Exon and CDS objects of the transcript.

    Returns the _coding sequence_ of the Transcript -- essentially, the subset of the exon(s) after the translation-start codon and before the translation-stop codon, as annotated in the Exon and CDS objects of the transcript.

    referenceSequence

      The reference sequence (e.g. chromosomal sequence) with respect to which the Transcript's coordinates or locators are given

    returns

      the String representation of this Transcript's spliced mRNA sequence

12. #### def extractSplicedmRNASequence(referenceSequence: String): String

    Returns the _exonic_ sequence of the Transcript -- basically, the sequences of each exon concatenated together, with the intervening intronic sequences omitted.

    Returns the _exonic_ sequence of the Transcript -- basically, the sequences of each exon concatenated together, with the intervening intronic sequences omitted.

    referenceSequence

      The reference sequence (e.g. chromosomal sequence) with respect to which the Transcript's coordinates or locators are given

    returns

      the String representation of this Transcript's spliced mRNA sequence

13. #### def extractTranscribedRNASequence(referenceSequence: String): String

    Returns the concatenated sequence of the exons of the Transcript.

    Returns the concatenated sequence of the exons of the Transcript.

    referenceSequence

      The reference sequence (e.g. chromosomal sequence) with respect to which the Transcript's coordinates or locators are given

    returns

      the String representation of this Transcript's spliced mRNA sequence

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val geneId: String

    The (unique) identifier of the gene to which the transcript belongs

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val id: String

    the (unique) identifier of the Transcript

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val names: Seq[String]

    Common names for the transcript

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### lazy val region: ReferenceRegion

24. #### val strand: Boolean

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### val utrs: Iterable[UTR]

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped